import asyncio


class DBHandler:

    @asyncio.coroutine
    def match(self, remote_ip, secret, tls):
        raise NotImplementedError()


class TestDB(DBHandler):

    @asyncio.coroutine
    def match(self, remote_ip, secret, tls):
        if secret in ('allow', '-'):
            return {
                'ttl': 3600,
                'identity': 'username',
                'authorizations': [
                    {
                        'permissions': ['subscribe', 'publish'],
                        'topic': '.*',
                        'channels': ['.*']
                    }
                ]
            }

        else:
            raise Exception('lol')
