

class Message:

    def __init__(self, connection, frame):
        self._conn = connection
        self.frame = frame

    @property
    def body(self):
        return self.frame.body

    @property
    def timestamp(self):
        return int(self.frame.timestamp)

    @property
    def attempts(self):
        return int(self.frame.attempts)

    @property
    def id(self):
        return self.frame.id

    async def success(self):
        return await self._conn.cmd('FIN', self.id)

    async def error(self):
        return await self._conn.cmd('REQ', self.id, 0)
