#!/usr/bin/env python

from setuptools import setup, find_packages, Command
import versioneer

class PyTest(Command):
    user_options = []
    def initialize_options(self):
        pass

    def finalize_options(self):
        pass

    def run(self):
        import subprocess
        import sys
        errno = subprocess.call([sys.executable,
                                 'runtests.py',
                                 'tests/',
                                #  '-vvv',
                                #  '--debug',
                                #  '--capture=no',
                                 '--cov', 'aionsq',
                                 '--cov-report', 'html'])
        raise SystemExit(errno)

cmdclass = versioneer.get_cmdclass()
cmdclass.update({'test': PyTest})

setup(
    name='aionsq',
    version=versioneer.get_version(),
    author='Xavier Barbosa',
    author_email='clint.northwood@gmail.com',
    packages=find_packages(),
    install_requires=[
        'aiohttp'
    ],
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.5",
        "Topic :: Software Development :: Libraries",
        "Topic :: Software Development :: Libraries :: Python Modules"
    ],
    url='https://lab.errorist.xyz/aio/aionsq',
    license='MIT',
    cmdclass=cmdclass
)
